/*
 *  
 *  Copyright (c) 2003 Steve Slaven, All Rights Reserved.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA 02111-1307 USA
 *  
*/
#include <stdio.h>
#include <curses.h>

#include "keytable.h"

int main( int argc, char *argv ) {
	int cnt, key, found;

	initscr();
	/* nonl(); */
	keypad( stdscr, TRUE );
	noecho();
	cbreak();
	scrollok( stdscr, TRUE );

	while( 1 ) {
		key = getch();

		printw( "Key %03d 0x%03X - ", key, key );
		cnt = found = 0;
		while( keys[ cnt ].display != NULL ) {
			if( key == keys[ cnt ].key ) {
				printw( "%s", keys[ cnt ].display );
				found = 1;
			}
			cnt++;
		}

		if( ! found ) {
			printw( "No symbolic name (%c)", key );
		}
		printw( "\n" );
		refresh();
	}

	endwin();

	return( 0 );
}
